Get Ip Space Org Quotas

Get Ip Space Org Quotas
Get the Org Quotas for an IP Block.

Retrieves the Org Quotas for an IP Block. Either "ipSpaceRef" or "orgRef" filter is required.

Request
URI
GET
https://{api_host}/cloudapi/v1/ipSpaces/orgQuotas
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
sortAsc
Optional

Field to use for ascending sort

string
sortDesc
Optional

Field to use for descending sort

integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns IpAddressSpaceOrgQuotas of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineIpAddressSpaceOrgQuotas1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "id": "urn:vcloud:ipSpaceOrgQuota:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ipSpaceRef": {
                "name": "string",
                "id": "string"
            },
            "orgRef": {
                "name": "string",
                "id": "string"
            },
            "ipSpaceType": "string",
            "defaultQuota": {
                "maxIpCount": 0,
                "maxCidrCount": 0,
                "maxSubnetSize": 24
            },
            "customQuota": {
                "maxIpCount": 0,
                "maxCidrCount": 0,
                "maxSubnetSize": 24
            }
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/ipSpaces/orgQuotas?page=value&pageSize=v